package com.trade.client.trade.purchasecontract.dto;

import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 销售合同上传dto
 */
public class PurchaseContractUploadDto {

    /**
     * 采购合同id
     */
    @NotNull(message = "采购合同id不能为空")
    private Long contractId;
    /**
     * 合同文件id
     */
    @NotNull(message = "合同文件id不能为空")
    private Long fileId;
    /**
     * 签署日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "签署日期不能为空")
    private Date signDate;

    public Long getContractId() {
        return contractId;
    }

    public void setContractId(Long contractId) {
        this.contractId = contractId;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Date getSignDate() {
        return signDate;
    }

    public void setSignDate(Date signDate) {
        this.signDate = signDate;
    }
}
